define([
	"dojo/_base/declare",
	"dojo/_base/array",
	"dojo/_base/lang",
	"dijit/_WidgetBase",
	"dojo/dom-construct",
	"dojo/dom-style"
],function(
	declare,
	arrayUtils,
	lang,
	_WidgetBase,
	domConstruct,
	domStyle
) {
	return declare([_WidgetBase],{
		data: "",
		
		_setDataAttr: function(data) {
			var t = this;
			t.data = data;
			if (!t.domNode) {
				t.domNode = domConstruct.toDom("<div></div>");
			} else {
				domConstruct.empty(t.domNode);
			}
			arrayUtils.forEach(data,function(message) {
				var node = domConstruct.toDom(lang.replace("<div style='margin:8px'>{text}</div>",message));
				t.domNode.appendChild(node);
				
				if (message.type === "error") {
					domStyle.set(node,"color","red");
				}
			});
		}
	});
});